=== debian/changelog ===
workflow (0.9.8-1) unstable; urgency=medium

  * debian/patches/*: Removed online tests
  * debian/rules: Removed temporary skipping of make check
  * debian/control: Added libworkflow-dev
  * debian/rules: Removed unused comment line
  * Added install files
  * Cleanup of packaging, remove dependency on dh-exec
  * debian/copyright: updated licensing and copyright for crc32c.*
  * Initial release (Closes: #995460)

 -- Lance Lin <lqi254@protonmail.com>  Fri, 19 Nov 2021 22:02:54 +0700
