=== debian/control ===
Source: workflow
Section: libs
Priority: optional
Maintainer: Lance Lin <lqi254@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libssl-dev
Standards-Version: 4.2.1
Homepage: https://github.com/sogou/workflow
Vcs-Git: https://salsa.debian.org/debian/workflow.git
Vcs-Browser: https://salsa.debian.org/debian/workflow
Rules-Requires-Root: no

Package: libworkflow1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Parallel computing and asynchronous web server engine
 Workflow can be used as a scalable web server to handle a variety
 of server workflows. It can be used to orchestrate complex
 relationships between computing and networking.  Workflow currently
 supports protocols for HTTP, Redis, MySQL, and Kafka.
 .
 This package contains the runtime library.

Package: libworkflow-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libworkflow1 (= ${binary:Version}),
         ${misc:Depends}
Description: Parallel computing and asynchronous web server engine
 Workflow can be used as a scalable web server to handle a variety
 of server workflows. It can be used to orchestrate complex
 relationships between computing and networking.  Workflow currently
 supports protocols for HTTP, Redis, MySQL, and Kafka.
 .
 This package contains the development header files.
