=== tutorial/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	tutorial-08-matrix_multiply
 	tutorial-09-http_file_server
 	tutorial-11-graph_task
+	tutorial-20-reducer
 )
 
 if (APPLE)
