=== debian/changelog ===
workflow (0.9.9-1) unstable; urgency=medium

  * Update to version 0.9.9
  * debian/control: updated Standards Version to 4.6.0

 -- Lance Lin <lqi254@protonmail.com>  Mon, 20 Dec 2021 21:46:33 +0700
