=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libssl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/sogou/workflow
 Vcs-Git: https://salsa.debian.org/debian/workflow.git
 Vcs-Browser: https://salsa.debian.org/debian/workflow
