=== debian/changelog ===
workflow (0.9.10-1) unstable; urgency=medium

  * Update to version 0.9.10

 -- Lance Lin <lqi254@protonmail.com>  Fri, 11 Feb 2022 19:50:58 +0700

workflow (0.9.9-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let debhelper run cmake directly. (Closes: #1002712)

 -- Lance Lin <lqi254@protonmail.com>  Mon, 27 Dec 2021 11:37:07 +0100
