=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: libworkflow1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Parallel computing and asynchronous web server engine
  Workflow can be used as a scalable web server to handle a variety
  of server workflows. It can be used to orchestrate complex
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libworkflow1 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends}, ${shlibs:Depends}
 Description: Parallel computing and asynchronous web server engine
  Workflow can be used as a scalable web server to handle a variety
  of server workflows. It can be used to orchestrate complex
