=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/workflow-$1\.tar\.gz/ \
  https://github.com/sogou/workflow/tags .*/v?(\d\S+)\.tar\.gz
