## workflow 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.9.10
+	VERSION 0.10.1
 	LANGUAGES C CXX
 )
