=== src/util/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 project(util)
 
 set(SRC
+	json_parser.c
 	EncodeStream.cc
 	StringUtil.cc
 	URIParser.cc
