=== debian/changelog ===
workflow (0.10.1-1) unstable; urgency=medium

  * Update to version 0.10.1
  * d/control: Bump standards to 4.6.1
  * d/copyright: Update years to 2022
  * Fixed SONAME/SOVERSION issues. Closes: #1012544

 -- Lance Lin <lqi254@protonmail.com>  Fri, 17 Jun 2022 20:09:07 +0700
