## workflow 0.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.10.1
+	VERSION 0.10.2
 	LANGUAGES C CXX
 )
