=== tutorial/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	tutorial-09-http_file_server
 	tutorial-11-graph_task
 	tutorial-15-name_service
+	tutorial-17-dns_cli
 	tutorial-20-reducer
 )
