=== debian/changelog ===
workflow (0.10.2-1) unstable; urgency=medium

  * Update to version 0.10.2

 -- Lance Lin <lqi254@protonmail.com>  Wed, 29 Jun 2022 20:56:32 +0700
