=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/sogou/workflow
 Vcs-Git: https://salsa.debian.org/debian/workflow.git
 Vcs-Browser: https://salsa.debian.org/debian/workflow
 Rules-Requires-Root: no
 
-Package: libworkflow1
+Package: libworkflow0
 Architecture: any
 Multi-Arch: same
+Breaks: libworkflow1 (<< 0.10.1-1)
+Replaces: libworkflow1 (<< 0.10.1-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Parallel computing and asynchronous web server engine
  Workflow can be used as a scalable web server to handle a variety
@@ -27,8 +29,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libworkflow1 (= ${binary:Version}),
-         ${misc:Depends}, ${shlibs:Depends}
+Breaks: libworkflow1 (<< 0.10.1-1)
+Replaces: libworkflow1 (<< 0.10.1-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Parallel computing and asynchronous web server engine
  Workflow can be used as a scalable web server to handle a variety
  of server workflows. It can be used to orchestrate complex
