## workflow 0.10.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.10.3
+	VERSION 0.10.4
 	LANGUAGES C CXX
 )
