=== tutorial/CMakeLists.txt ===
--- 
+++ 
@@ -94,12 +94,20 @@
 set(DIR10 tutorial-10-user_defined_protocol)
 add_executable(server ${DIR10}/server.cc ${DIR10}/message.cc)
 add_executable(client ${DIR10}/client.cc ${DIR10}/message.cc)
+add_executable(server-uds ${DIR10}/server-uds.cc ${DIR10}/message.cc)
+add_executable(client-uds ${DIR10}/client-uds.cc ${DIR10}/message.cc)
 target_link_libraries(server ${WORKFLOW_LIB})
 target_link_libraries(client ${WORKFLOW_LIB})
+target_link_libraries(server-uds ${WORKFLOW_LIB})
+target_link_libraries(client-uds ${WORKFLOW_LIB})
 
 set_target_properties(server PROPERTIES
 	RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/${DIR10})
 set_target_properties(client PROPERTIES
+	RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/${DIR10})
+set_target_properties(server-uds PROPERTIES
+	RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/${DIR10})
+set_target_properties(client-uds PROPERTIES
 	RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/${DIR10})
 
 set(DIR16 tutorial-16-graceful_restart)
