=== src/protocol/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,11 @@
 project(protocol)
 
 set(SRC
+	PackageWrapper.cc
+	SSLWrapper.cc
 	dns_parser.c
 	DnsMessage.cc
 	DnsUtil.cc
-	SSLWrapper.cc
 	http_parser.c
 	HttpMessage.cc
 	HttpUtil.cc
@@ -19,6 +20,7 @@
 		mysql_byteorder.c
 		MySQLMessage.cc
 		MySQLResult.cc
+		MySQLUtil.cc
 	)
 endif ()
 
@@ -41,6 +43,4 @@
 	)
 	add_library("protocol_kafka" OBJECT ${SRC})
 	set_property(SOURCE KafkaMessage.cc APPEND PROPERTY COMPILE_OPTIONS "-fno-rtti")
-	set_property(SOURCE KafkaDataTypes.cc APPEND PROPERTY COMPILE_OPTIONS "-fno-rtti")
-	set_property(SOURCE KafkaResult.cc APPEND PROPERTY COMPILE_OPTIONS "-fno-rtti")
 endif ()
