=== debian/changelog ===
workflow (0.10.4-1) unstable; urgency=medium

  [ Lance Lin ]
  * New upstream version (0.10.4)
  * d/watch: new regex

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Lance Lin <lqi254@protonmail.com>  Mon, 07 Nov 2022 21:47:12 +0700
