## workflow 0.10.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.10.4
+	VERSION 0.10.5
 	LANGUAGES C CXX
 )
