=== debian/changelog ===
workflow (0.10.5-1) unstable; urgency=medium

  * Update to version 0.10.5
  * d/control: Bump standards to 4.6.2
  * d/copyright: Update years to 2023

 -- Lance Lin <lq27267@gmail.com>  Mon, 09 Jan 2023 20:25:54 +0700
