=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: workflow
 Section: libs
 Priority: optional
-Maintainer: Lance Lin <lqi254@protonmail.com>
+Maintainer: Lance Lin <lq27267@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libssl-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/sogou/workflow
 Vcs-Git: https://salsa.debian.org/debian/workflow.git
 Vcs-Browser: https://salsa.debian.org/debian/workflow
