## workflow 0.10.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.10.5
+	VERSION 0.10.6
 	LANGUAGES C CXX
 )
