=== debian/changelog ===
workflow (0.10.6-1) unstable; urgency=medium

  * Update to version 0.10.6
  * d/control: Modified short description

 -- Lance Lin <lq27267@gmail.com>  Fri, 03 Mar 2023 22:10:31 +0700
