=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Breaks: libworkflow1 (<< 0.10.1-1)
 Replaces: libworkflow1 (<< 0.10.1-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Parallel computing and asynchronous web server engine
+Description: Parallel computing and asynchronous web server engine development files
  Workflow can be used as a scalable web server to handle a variety
  of server workflows. It can be used to orchestrate complex
  relationships between computing and networking.  Workflow currently
