## workflow 0.10.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.10.6
+	VERSION 0.10.7
 	LANGUAGES C CXX
 )
