=== src/CMakeLists.txt ===
--- 
+++ 
@@ -102,8 +102,9 @@
 	)
 	if (APPLE)
 		target_link_libraries(${KAFKA_SHARED_LIB_NAME}
-							  workflow z lz4 zstd ${SNAPPY_LIB}
-							  OpenSSL::SSL OpenSSL::Crypto pthread)
+							  ${SHARED_LIB_NAME} z lz4 zstd ${SNAPPY_LIB})
+	else ()
+		target_link_libraries(${KAFKA_SHARED_LIB_NAME} ${SHARED_LIB_NAME})
 	endif ()
 	set_target_properties(${KAFKA_SHARED_LIB_NAME} PROPERTIES OUTPUT_NAME "wfkafka" VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
 endif ()
