=== debian/changelog ===
workflow (0.10.7-1) unstable; urgency=medium

  * Update to version 0.10.7
  * d/source/lintian-overrides: Ignore very-long-line-length-in-source-file
      for tutorial documentation

 -- Lance Lin <lq27267@gmail.com>  Tue, 04 Jul 2023 20:08:26 +0700

workflow (0.10.6-2) unstable; urgency=medium

  [Bastian Germann]
  * d/libworkflow0.links: Fixed symlink direction (Closes: #1036653)

 -- Lance Lin <lq27267@gmail.com>  Wed, 31 May 2023 18:04:06 +0700

workflow (0.10.6-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add missing Depends (Closes: #1035444)

 -- Bastian Germann <bage@debian.org>  Mon, 15 May 2023 11:56:58 +0200
