=== debian/changelog ===
workflow (0.10.8-1) unstable; urgency=medium

  * Update to version 0.10.8
  * libworkflow0.install: Use wildcard for version number

 -- Lance Lin <lq27267@gmail.com>  Wed, 12 Jul 2023 20:01:17 +0700
