=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Multi-Arch: same
 Breaks: libworkflow1 (<< 0.10.1-1)
 Replaces: libworkflow1 (<< 0.10.1-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libworkflow0 (= ${binary:Version})
 Description: Parallel computing and asynchronous web server engine development files
  Workflow can be used as a scalable web server to handle a variety
  of server workflows. It can be used to orchestrate complex
