=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export INSTALL_PREFIX = /usr/
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
