## workflow 0.10.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.10.8
+	VERSION 0.10.9
 	LANGUAGES C CXX
 )
