=== debian/changelog ===
workflow (0.10.9-1) unstable; urgency=medium

  * Update to version 0.10.9

 -- Lance Lin <lq27267@gmail.com>  Fri, 08 Sep 2023 19:51:12 +0700

workflow (0.10.8-2) unstable; urgency=medium

  * d/clean: Remove autogenerated files (Closes: #1045724)

 -- Lance Lin <lq27267@gmail.com>  Wed, 16 Aug 2023 19:25:27 +0700
