## workflow 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.10.9
+	VERSION 0.11.1
 	LANGUAGES C CXX
 )
