=== debian/changelog ===
workflow (0.11.1-2) unstable; urgency=medium

  * d/rules: Skip build tests for mips64el

 -- Lance Lin <lq27267@gmail.com>  Mon, 13 Nov 2023 21:18:47 +0700

workflow (0.11.1-1) unstable; urgency=medium

  * Update to version 0.11.1
  * d/control: Add libgtest-dev to Build-Depends for tests
  * d/rules: Run upstream unittests during build
  * d/tests: Run upstream unittests for autopkgtest
  * d/patches: Refresh patches and add patch to add hardening flag

 -- Lance Lin <lq27267@gmail.com>  Fri, 03 Nov 2023 20:56:25 +0700
