=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Lance Lin <lq27267@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
+               libgtest-dev <!nocheck>,
                libssl-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/sogou/workflow
