## workflow 0.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.11.1
+	VERSION 0.11.2
 	LANGUAGES C CXX
 )
