=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,6 @@
 add_subdirectory(kernel)
 add_subdirectory(util)
 add_subdirectory(manager)
-add_subdirectory(algorithm)
 add_subdirectory(protocol)
 add_subdirectory(factory)
 add_subdirectory(nameservice)
@@ -31,7 +30,6 @@
 add_dependencies(kernel LINK_HEADERS)
 add_dependencies(util LINK_HEADERS)
 add_dependencies(manager LINK_HEADERS)
-add_dependencies(algorithm LINK_HEADERS)
 add_dependencies(protocol LINK_HEADERS)
 add_dependencies(factory LINK_HEADERS)
 add_dependencies(nameservice LINK_HEADERS)
@@ -46,7 +44,6 @@
 	$<TARGET_OBJECTS:kernel>
 	$<TARGET_OBJECTS:util>
 	$<TARGET_OBJECTS:manager>
-	$<TARGET_OBJECTS:algorithm>
 	$<TARGET_OBJECTS:protocol>
 	$<TARGET_OBJECTS:factory>
 	$<TARGET_OBJECTS:nameservice>
@@ -59,7 +56,6 @@
 	$<TARGET_OBJECTS:kernel>
 	$<TARGET_OBJECTS:util>
 	$<TARGET_OBJECTS:manager>
-	$<TARGET_OBJECTS:algorithm>
 	$<TARGET_OBJECTS:protocol>
 	$<TARGET_OBJECTS:factory>
 	$<TARGET_OBJECTS:nameservice>
