=== src/client/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,13 @@
 	)
 endif ()
 
+if (NOT CONSUL STREQUAL "n")
+	set(SRC
+		${SRC}
+		WFConsulClient.cc
+	)
+endif ()
+
 add_library(${PROJECT_NAME} OBJECT ${SRC})
 
 if (KAFKA STREQUAL "y")
@@ -19,5 +26,5 @@
 		WFKafkaClient.cc
 	)
 	add_library("client_kafka" OBJECT ${SRC})
-	set_property(SOURCE WFKafkaClient.cc APPEND PROPERTY COMPILE_OPTIONS "-fno-rtti")
 endif ()
+
