=== debian/changelog ===
workflow (0.11.2-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:35 +1100

workflow (0.11.2-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:16:32 +0000

workflow (0.11.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063073

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 02:39:48 +0000

workflow (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: Add missing copyrights and GPL-2+ license

 -- Lance Lin <lq27267@gmail.com>  Tue, 09 Jan 2024 19:55:45 +0700
