=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: workflow
 Section: libs
 Priority: optional
-Maintainer: Lance Lin <lq27267@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lance Lin <lq27267@gmail.com>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                libgtest-dev <!nocheck>,
                libssl-dev
@@ -12,11 +13,12 @@
 Vcs-Browser: https://salsa.debian.org/debian/workflow
 Rules-Requires-Root: no
 
-Package: libworkflow0
+Package: libworkflow0t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
-Breaks: libworkflow1 (<< 0.10.1-1)
-Replaces: libworkflow1 (<< 0.10.1-1)
+Breaks: libworkflow0 (<< ${source:Version}), libworkflow1 (<< 0.10.1-1)
+Replaces: libworkflow0, libworkflow1 (<< 0.10.1-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Parallel computing and asynchronous web server engine
  Workflow can be used as a scalable web server to handle a variety
@@ -32,7 +34,7 @@
 Multi-Arch: same
 Breaks: libworkflow1 (<< 0.10.1-1)
 Replaces: libworkflow1 (<< 0.10.1-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, libworkflow0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libworkflow0t64 (= ${binary:Version})
 Description: Parallel computing and asynchronous web server engine development files
  Workflow can be used as a scalable web server to handle a variety
  of server workflows. It can be used to orchestrate complex
