## workflow 0.11.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.11.2
+	VERSION 0.11.3
 	LANGUAGES C CXX
 )
