## workflow 0.11.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.11.3
+	VERSION 0.11.4
 	LANGUAGES C CXX
 )
