=== debian/changelog ===
workflow (0.11.5-1) unstable; urgency=medium

  * New upstream version 0.11.5
  * d/patches: Refresh add_hardening_flag_for_tests.patch

 -- Lance Lin <lq27267@gmail.com>  Tue, 06 Aug 2024 19:29:42 +0700
