## workflow 0.11.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.11.5
+	VERSION 0.11.6
 	LANGUAGES C CXX
 )
