=== debian/changelog ===
workflow (0.11.6-2) unstable; urgency=medium

  * d/patches: Add patch to fix ill formed definition in srpc
  * d/clean: Clean build tests for subsequent builds

 -- Lance Lin <lq27267@gmail.com>  Thu, 31 Oct 2024 21:01:31 +0700

workflow (0.11.6-1) unstable; urgency=medium

  * New upstream version 0.11.6
  * d/libworkflow0t64.lintian-overrides: Remove unused override

 -- Lance Lin <lq27267@gmail.com>  Wed, 09 Oct 2024 20:04:44 +0700
